/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.ejb.session;

import java.util.List;
import javax.ejb.Remote;
import sikd.ikonsol.model.HeaderResiprokal;
import sikd.ikonsol.model.JenisLaporan;
import sikd.ikonsol.model.JenisTransfer;

/**
 *
 * @author Imam Bhoim
 */
@Remote
public interface HeaderResiprokalEjbHome {

    public List<HeaderResiprokal> findAll();
    
     public List<HeaderResiprokal> findAllByIdbas(int id);
     
     public List<HeaderResiprokal> findAkunResiprokal(int id);

    public HeaderResiprokal findByID(int id);

    public HeaderResiprokal createNew();

    public HeaderResiprokal save(HeaderResiprokal obj);

    public HeaderResiprokal findByKode(String kode);

    public HeaderResiprokal update(HeaderResiprokal obj);

    public void delete(int id);

    public List<HeaderResiprokal> findAllJtransfer();

    public List<HeaderResiprokal> findAllJLaporan();
}
